import numpy as np
import scipy.misc
from PIL import Image

train_data_dir = '/home/jz_2016.csv'

train_data = []
train_data01 = []
train_data02 = []
## norm 1
with open(train_data_dir,'r+') as f:
    for line in f:
        pData = line.strip().split(",")
        pData = np.reshape(pData, (168, 1)).astype(float)
        p_max = np.max(pData)
        train_data01.append(pData/(p_max+10e-7))
train_data01 = np.array(train_data01)

## norm 2
with open(train_data_dir,'r+') as f:
    for line in f:
        pData = line.strip().split(",")
        pData = np.reshape(pData, (168, 1)).astype(float)
        train_data.append(pData)
        train_data02.append(pData)
train_data = np.array(train_data)
train_data02 = np.array(train_data02)
zmax_train02 = train_data02.max(axis = 0)
train_data02 = train_data02/(zmax_train02+10e-7)


im = Image.fromarray(train_data)
im.save('jz2016.jpg')

scipy.misc.imsave('jz2016.jpg',train_data)
scipy.misc.imsave('jz2016_01.jpg',train_data01)
scipy.misc.imsave('jz2016_02.jpg',train_data02)
